Subject: bug#3344: eshell environment does not override TERM

From: Stefan Monnier <[email-masked]>
Date: Thu, 21 May 2009 21:30:06 -0400

> When I invoke M-x eshell, subprocesses see the same TERM
> environment variable as the one from which emacs was launched.

In Emacs-23, the $TERM value with which Emacs was started is fairly
quickly thrown away so that no subprocess will inherit it (after all,
Emacs has no way to run a process and give it access to the tty in which
Emacs is running).

Can you try again with the Emacs-23 pretest to confirm that the bug
is fixed?

        Stefan